resource "aws_dynamodb_table" "vault" {
  name           = "vault-dynamodb"
  billing_mode   = "PAY_PER_REQUEST"
  hash_key       = "Path"
  range_key      = "Key"

  attribute {
    name = "Path"
    type = "S"
  }

  attribute {
    name = "Key"
    type = "S"
  }

  tags = merge(var.standard_tags, var.tags)
}

